package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface IntConsumer
{
    public abstract void accept(int p0);
    
    default public IntConsumer andThen(IntConsumer obj) {
        Objects.requireNonNull(obj);
        return n2/* int, */ -> {
            this.accept(n2);
            p0.accept(n2);
            return;
        };
    }
}
